Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Commerce
payments, invoices & products api
Get the next invoice number for the given location
cURL
curl --request GET \ --url https://services.leadconnectorhq.com/invoices/generate-invoice-number \ --header 'Version: <version>'
const options = {method: 'GET', headers: {Version: '<version>'}};fetch('https://services.leadconnectorhq.com/invoices/generate-invoice-number', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://services.leadconnectorhq.com/invoices/generate-invoice-number"headers = {"Version": "<version>"}response = requests.get(url, headers=headers)print(response.text)
{ "invoiceNumber": "19" }
{ "statusCode": 400, "message": "Bad Request"}
{ "statusCode": 401, "message": "Invalid token: access token is invalid", "error": "Unauthorized"}
{ "statusCode": 422, "message": [ "Unprocessable Entity" ], "error": "Unprocessable Entity"}
API Version
2021-07-28
Location Id
location
Successful response
Invoice Number
"19"
Was this page helpful?